Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.description
Class FaultDesc

    java.lang.Object
      org.apache.axis.description.FaultDesc

public class FaultDesc
extends Object

Holds information about a fault for an operation

Author:
  Glen Daniels (gdaniels@apache.org), Tom Jordahl (tomj@apache.org)

Constructor Summary
`FaultDesc()` Default constructor
`FaultDesc(javax.xml.namespace.QName qname, String className, javax.xml.namespace.QName xmlType, boolean complex)` Full constructor

Method Summary
`String` | `getClassName()`
`String` | `getName()`
`ArrayList` | `getParameters()`
`javax.xml.namespace.QName` | `getQName()`
`javax.xml.namespace.QName` | `getXmlType()`
`boolean` | `isComplex()`
`void` | `setClassName(String className)`
`void` | `setComplex(boolean complex)`
`void` | `setName(String name)`
`void` | `setParameters(ArrayList parameters)`
`void` | `setQName(javax.xml.namespace.QName name)`
`void` | `setXmlType(javax.xml.namespace.QName xmlType)`
`String` | `toString()`
`String` | `toString(String indent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FaultDesc

    public FaultDesc()

  Default constructor

### FaultDesc

    public FaultDesc(javax.xml.namespace.QName qname,
                     String className,
                     javax.xml.namespace.QName xmlType,
                     boolean complex)

  Full constructor

Method Detail

### getQName

    public javax.xml.namespace.QName getQName()

### setQName

    public void setQName(javax.xml.namespace.QName name)

### getName

    public String getName()

### setName

    public void setName(String name)

### getParameters

    public ArrayList getParameters()

### setParameters

    public void setParameters(ArrayList parameters)

### getClassName

    public String getClassName()

### setClassName

    public void setClassName(String className)

### isComplex

    public boolean isComplex()

### setComplex

    public void setComplex(boolean complex)

### getXmlType

    public javax.xml.namespace.QName getXmlType()

### setXmlType

    public void setXmlType(javax.xml.namespace.QName xmlType)

### toString

    public String toString()

### toString

    public String toString(String indent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.